Skip to main content
GET
/
payments
/
calculations
/
employees
/
{employeeId}
/
average-earnings
cURL
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v1/statutory-pay/payments/calculations/employees/{employeeId}/average-earnings \
  --header 'X-Auth-Token: <api-key>'
{
  "content": {
    "data": {
      "averageEarnings": 123,
      "calculationDate": "<string>",
      "payslipStartDate": "<string>",
      "payslipEndDate": "<string>",
      "payslipCount": 123,
      "message": "<string>"
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Authentication token for API access

Path Parameters

employeeId
string
required

Query Parameters

startDate
string

Response

OK

content
object
metadata
object
errors
object[] | null
message
object